get
https://{domainname}/ca_apis/getScheduledData
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Schedule Data Status API is used to verify the status of the data scheduled to be added to the dialer(outbound campaign).
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
Header parameters
| Parameter | Description |
|---|---|
| apiKey* | Your CloudAgent account API Key |
| Content-Type | application/json |
Body Params
{
"userName":"Test"
}
Possible responses
| Success response | "status": "success", "message": { "Id": "XX", "api_key": "KKXXXXXXXXXXXX", "CreatedDate": "YYYY-MM-DD HH:MM:SS", "ScheduleTime": "YYYY-MM-DD HH:MM:SS", "ScheduleParams": "api_key=KKXXXXXXXXXXXX&campaign_name=XXXXXX&action=START&format=json&PhoneNumber=04XXXXXXXXX&Name=SXXXXXX&ScheduledTime=YYYY-MM-DD+HH%3AMM%3ASS&skill=XX XXXXX&AgentID=XXXXXX&Priority=2", "RequestTime": "YYYY-MM-DD HH:MM:SS", "IsRequestSent": "1", "Response": "{"status": "SUCCESS" "message": "SuccessFully Updated, Progressive was started"}"}, |
| Invalid api_key | "status": "success" "message": "null" |
